# -*- encoding: utf-8 -*-
$LOAD_PATH.push File.expand_path('../lib', __FILE__)
require 'simplecov_s3_codeclimate/version'

Gem::Specification.new do |s|
  s.name        = 'simplecov_s3_codeclimate'
  s.version     = SimpleCov::S3::Codeclimate::VERSION
  s.authors     = ['Jacob', 'Jonah Hirsch']
  s.email       = %w(jacob@engineyard.com jonah@giftcardzen.com)
  s.homepage    = 'https://github.com/giftcardzen/simplecov-s3'
  s.summary     = 'Merge simplecov output using S3 as shared storage (and publish the results to Codeclimate)'
  s.description = 'Merges simplecov output using S3 as shared storage. Once all coverage is compiled, pushes this data to Codeclimate.'
  s.license     = 'MIT'

  s.files         = (`git ls-files`.split("\n") - `git ls-files -- fake`.split("\n"))
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map { |f| File.basename(f) }
  s.require_paths = ['lib']

  s.add_development_dependency 'rspec', '>= 0'
  s.add_development_dependency 'reek', '>= 0'
  s.add_development_dependency 'rubocop', '>= 0'
  s.add_runtime_dependency 'fog', '>= 0'
  s.add_runtime_dependency 'simplecov', '>= 0'
  s.add_runtime_dependency 'codeclimate-test-reporter', '>= 0'
end
